#lang racket/base

(require racket/match)
(require racket/udp)

(define s (udp-open-socket #f #f))
(udp-send-to s "127.0.0.1" 5678 #"get")
(define buffer (make-bytes 8))
(sync/timeout 0.5
	      (wrap-evt (udp-receive!-evt s buffer)
			(match-lambda
			 [(list 8 _ _)
			  (write (integer-bytes->integer buffer #f))
			  (newline)])))
